import NET.worlds.scape.*;

public class InsertStairs extends BuildStairs implements NonPersister {
  protected void build(Portal end1)
    {
      Room room = end1.getRoom();
      World world = room.getWorld();
      Portal farSide = end1.farSide();
      
      this.stairs = new WrStaircase(world, this.stairName, 
        this.length, this.width, this.pWidth, this.pHeight, 
        this.dz, this.lintelZ, this.numsteps, 
        this.riser, this.tread, this.left, this.right, this.doorpost, this.lintel, this.ceiling);
      
      end1.disconnect();
      farSide.disconnect();
      end1.biconnect(this.stairs.portal1);
      this.stairs.portal2.biconnect(farSide);
      
      this.built = true;
      
      end1.removeHandler(this);
    }
}